| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Gr3d::I3dGraphicsControl Interface Reference

Interface for 3D graphics controls that can be manipulated via a standard set of commands for rotation etc. More...

Inheritance diagram for IG::Gr3d::I3dGraphicsControl:
[legend]

List of all members.

## Public Member Functions
void | ChangeZoom (double factor)
| Changes CameraViewAngle by the factor defined by the specified factor.
void | RotateAzimuth (double angleStepDegrees)
| Rotates the camera in the fi direction.
void | RotatePitch (double angleStepDegrees)
| Rotates the camera in the theta direction.
void | RotateRoll (double angleStepDegrees)
| Rotates the camera around the viewing direction.
## Properties
double | RotationStep`[get, set]`
double | ZoomFactor`[get, set]`
| Zoom step, in degrees, that is used in a single zoom operation. Must be greater than 1.
double | CameraViewAngle`[get, set]`
| Viewing angle of the camera, in degrees (defines the zoom level).
double | CameraRoll`[get, set]`
| Roll of the camera (amount of rotation abount viewing direction)
vec3 | CameraPosition`[get, set]`
| Gets or sets camera position.
vec3 | CameraFocalPoint`[get, set]`
| Gets or sets camera focal point.
vec3 | CameraViewUp`[get, set]`
| Gets or sets the camera viewing up position.
vec3 | CameraDirection`[get, set]`
| Camera direction. Getter obtains it as difference between the camera focal point and camera position.Setter sets the camera focal points in such a way that camera direction has the specified value.
vec3 | CameraDirectionSpherical`[get, set]`
| Gets or sets camera direction in spherical coordinates.

## Detailed Description

Interface for 3D graphics controls that can be manipulated via a standard set of commands for rotation etc.

$A Igor xx;

## Member Function Documentation

void IG::Gr3d::I3dGraphicsControl::ChangeZoom | ( | double | factor | ) |

Changes CameraViewAngle by the factor defined by the specified factor.

Parameters:

  factor | Factor by which the view angle is increased (must be greater than 1).

Implemented in IG::Gr3d::VtkControlBase.

void IG::Gr3d::I3dGraphicsControl::RotateAzimuth | ( | double | angleStepDegrees | ) |

Rotates the camera in the fi direction.

Parameters:

  angleStepDegrees | Step, in degrees, by which the camera is rotated clockwise.

Implemented in IG::Gr3d::VtkControlBase.

void IG::Gr3d::I3dGraphicsControl::RotatePitch | ( | double | angleStepDegrees | ) |

Rotates the camera in the theta direction.

Parameters:

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

Implemented in IG::Gr3d::VtkControlBase.

void IG::Gr3d::I3dGraphicsControl::RotateRoll | ( | double | angleStepDegrees | ) |

Rotates the camera around the viewing direction.

Parameters:

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

Implemented in IG::Gr3d::VtkControlBase.

## Property Documentation

double IG::Gr3d::I3dGraphicsControl::RotationStep`[get, set]`

Implemented in IG::Gr3d::VtkControlBase.

double IG::Gr3d::I3dGraphicsControl::ZoomFactor`[get, set]`

Zoom step, in degrees, that is used in a single zoom operation. Must be greater than 1.

Implemented in IG::Gr3d::VtkControlBase.

double IG::Gr3d::I3dGraphicsControl::CameraViewAngle`[get, set]`

Viewing angle of the camera, in degrees (defines the zoom level).

Parameters:

  angleStepDegrees | Step, in degrees, by which the camera is rotated.

Implemented in IG::Gr3d::VtkControlBase.

double IG::Gr3d::I3dGraphicsControl::CameraRoll`[get, set]`

Roll of the camera (amount of rotation abount viewing direction)

Implemented in IG::Gr3d::VtkControlBase.

vec3 IG::Gr3d::I3dGraphicsControl::CameraPosition`[get, set]`

Gets or sets camera position.

Implemented in IG::Gr3d::VtkControlBase.

vec3 IG::Gr3d::I3dGraphicsControl::CameraFocalPoint`[get, set]`

Gets or sets camera focal point.

Implemented in IG::Gr3d::VtkControlBase.

vec3 IG::Gr3d::I3dGraphicsControl::CameraViewUp`[get, set]`

Gets or sets the camera viewing up position.

Implemented in IG::Gr3d::VtkControlBase.

vec3 IG::Gr3d::I3dGraphicsControl::CameraDirection`[get, set]`

Camera direction. Getter obtains it as difference between the camera focal point and camera position.Setter sets the camera focal points in such a way that camera direction has the specified value.

Implemented in IG::Gr3d::VtkControlBase.

vec3 IG::Gr3d::I3dGraphicsControl::CameraDirectionSpherical`[get, set]`

Gets or sets camera direction in spherical coordinates.

Implemented in IG::Gr3d::VtkControlBase.

The documentation for this interface was generated from the following file:

- I3dGraphicsControl.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events